Update Webhook Headers
curl --request PUT \
--url https://api.management.junction.com/v1/org/{org_id}/team/{team_id}/{environment}/webhook/{webhook_id}/headers \
--header 'Content-Type: application/json' \
--header 'X-Management-Key: <api-key>' \
--data '{
"headers": {}
}'import requests
url = "https://api.management.junction.com/v1/org/{org_id}/team/{team_id}/{environment}/webhook/{webhook_id}/headers"
payload = { "headers": {} }
headers = {
"X-Management-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Management-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({headers: {}})
};
fetch('https://api.management.junction.com/v1/org/{org_id}/team/{team_id}/{environment}/webhook/{webhook_id}/headers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Team Webhooks
Update Webhook Headers
Put org team webhook headers via the Junction API. Requires authentication with your team API key.
PUT
/
v1
/
org
/
{org_id}
/
team
/
{team_id}
/
{environment}
/
webhook
/
{webhook_id}
/
headers
Update Webhook Headers
Junction Management API is available for the Scale plan.
The base URL of this endpoint is
https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key).
Team API Key is not accepted.Authorizations
Path Parameters
Available options:
production, sandbox Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
Was this page helpful?
⌘I